Show / Hide Table of Contents

# Class Win32Credential

##### Inheritance

System.Object
Win32Credential

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Credentials.Win32

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class Win32Credential : IDisposable

### Constructors

| Improve this Doc View Source

#### Win32Credential()

##### Declaration

    public Win32Credential()

| Improve this Doc View Source

#### Win32Credential(String)

##### Declaration

    public Win32Credential(string username)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | username |

| Improve this Doc View Source

#### Win32Credential(String, String)

##### Declaration

    public Win32Credential(string username, string password)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | username |
System.String | password |

| Improve this Doc View Source

#### Win32Credential(String, String, String)

##### Declaration

    public Win32Credential(string username, string password, string target)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | username |
System.String | password |
System.String | target |

| Improve this Doc View Source

#### Win32Credential(String, String, String, CredentialType)

##### Declaration

    public Win32Credential(string username, string password, string target, CredentialType type)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | username |
System.String | password |
System.String | target |
CredentialType | type |

### Properties

| Improve this Doc View Source

#### Description

##### Declaration

    public string Description { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### LastWriteTime

##### Declaration

    public DateTime LastWriteTime { get; }

##### Property Value

Type | Description
--- | ---
System.DateTime |

| Improve this Doc View Source

#### LastWriteTimeUtc

##### Declaration

    public DateTime LastWriteTimeUtc { get; }

##### Property Value

Type | Description
--- | ---
System.DateTime |

| Improve this Doc View Source

#### Password

##### Declaration

    public string Password { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### PersistanceType

##### Declaration

    public PersistanceType PersistanceType { get; set; }

##### Property Value

Type | Description
--- | ---
PersistanceType |

| Improve this Doc View Source

#### SecurePassword

##### Declaration

    public SecureString SecurePassword { get; set; }

##### Property Value

Type | Description
--- | ---
System.Security.SecureString |

| Improve this Doc View Source

#### Target

##### Declaration

    public string Target { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Type

##### Declaration

    public CredentialType Type { get; set; }

##### Property Value

Type | Description
--- | ---
CredentialType |

| Improve this Doc View Source

#### Username

##### Declaration

    public string Username { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### Delete()

##### Declaration

    public bool Delete()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

##### Implements

System.IDisposable.Dispose()
| Improve this Doc View Source

#### Exists()

##### Declaration

    public bool Exists()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Load()

##### Declaration

    public bool Load()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Save()

##### Declaration

    public bool Save()

##### Returns

Type | Description
--- | ---
System.Boolean |